Learning SAS? Welcome to the exclusive online community for all SAS learners.

Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Reply
SAS Super FREQ
Posts: 361

Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

 

When you install the newest version of Oracle VirtualBox, 5.1, and try to import SAS University Edition, you may run into an error which indicates:

 

VERR_MAIN_CONFIG_CONSTRUCTOR_COM_ERROR

 

VirtualBox 5.1 was released on July 12, 2016. We have seen the issue with the Macintosh and Windows 10. (The error does not seem to occur with upgrades of VirtualBox, but rather new installs such as you might do when installing SAS University Edition for the first time.)

 

There are two primary ways to deal with this issue:

 

1. You can use the previous version of Oracle VirtualBox, which is version 5.0.24 or older, and which is available here.

 

2. You can also reinitianize the MAC address of the network cards. If you go to the menu item to import an appliance, such as SAS University Edition, you would be in Guided Mode by default. In order to do this extra step of reinitializing the network cards, you'll need to switch to Expert Mode. Select the Expert Mode button and then select the button to "Reinitialize the MAC address of all network cards."

 

 reinit.png

 

The rest of the installation of SAS University Edition will follow the Quick Start Guide as usual.

 

 

Occasional Contributor
Posts: 6

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Thank you for suggestion. I tried with suggested solution but getting same error.

 

-Regards

SAS Super FREQ
Posts: 361

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

We have also updated the SAS University Edition download page to link to the download page for version 5.0 of VirtualBox:

 

http://www.sas.com/en_us/software/university-edition/download-software.html

 

SAS Super FREQ
Posts: 361

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

@RupeshSah Do you mean you installed version 5.0.26 (or 5.0.24) of VirtualBox and when you imported the SAS University Edition ".ova" file you received the error? There is another workaround: When you go to import the OVA file, you'll go into Advanced Mode and click the checkbox to reinitialize the MAC addresses. Please try that.

 

 

New Contributor
Posts: 2

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

I was having the same issues using VirtualBox. I followed the suggestion of downloading an older version and importing again the OVA file, checking the reinitialize MAC addresses. It worked, I now had what appeared to be access to SAS Studio. However I then had a new problem that stopped me in my tracks: The launch of the server process failed with an unknown status code. Any ideas to help me access SAS Studio? Thanks.

Occasional Contributor
Posts: 6

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Hello

 

I could not follow your issue on studio, please help me to understand.

 

Post configuration, you successfully imported your OVA file. Right?

Post click on Start button, another SAS window prompt. Later couple of minute you recive a black window with an IP to access the studio.

 

I understand you have not received the IP address to access studio. Is it right undersatnding?

If yes request you to give a try with VMware workstation 9, its working finally.

 

-Regards,

Rupesh Sah

SAS Employee
Posts: 53

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Hi Artvine,

 

Take a look at this troubleshooting topic regarding the error that you're seeing and see if that helps:

What do I do if I see an unknown status error?

 

thanks,

Jennifer

 

 

New Contributor
Posts: 2

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Hi Jennifer, thanks for your reply. I saw that last night, chnaged the cpu spec to 1, it didn't help me out. I get the error message as my machine attempts to sign in to SAS Studio. I did have to initially edit my BIOS to allow for VM, is there a way to run a system requiremnets check to allow sign in to SAS Studio? Thanks

Occasional Contributor
Posts: 6

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Thanks Randy.

I have tried with 5.0.24 and 5.0.26, tried also by checking reinitialize the MAC addresses during import.

 

I am getting error as I start SAS. Import of SAS ovi have no error.

 

-Regards

Occasional Contributor
Posts: 6

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Thanks Randy for support.
Issue was my laptop, its dell inpiron 1525 which do not support virtual machine. I have figured it out by trying various VM player and got the error in error trace by using VMware workstation which I was not getting in oracle VM Virtual Box.
I am able to use SAS studio finally in my other machine using VMWare workstation 9
SAS Super FREQ
Posts: 361

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

 

Good to hear, @RupeshSah! Thanks for using SAS University Edition!

 

Randy

SAS Super FREQ
Posts: 361

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Hi, @artvine. You are also welcome to send a message to support@sas.com or call (800) 727-0025 if the troubleshooting tips have not helped you solve the issues.

 

Randy

Occasional Contributor
Posts: 6

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

I am new to SAS but I have experienced in programming. Request SAS community to share some suggestion on start of learning SAS.

 

Regards,

-Rupesh

SAS Super FREQ
Posts: 361

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Here's an important update: Oracle has released VirtualBox 5.1.2, which corrects the problem with the import of SAS University Edition. Please use this version if you are installing SAS University Edition for the first time or would like to upgrade your copy of VirtualBox.

 

https://www.virtualbox.org/wiki/Downloads 

SAS Super FREQ
Posts: 8,745

Re: Issue with latest version of VirtualBox (5.1) and SAS University Edition -- workaround

Hi, Rupesh:
Free tutorials (quick 5-8 minute how to videos) are here: http://support.sas.com/training/tutorial/index.html and, in addition, we have 2 e-learning classes that are free to all students, professors and independent learners.

If you look at the web sites for these 2 classes, you will see that the price of the e-learning class is "Free" and all you have to do is click the "Start" button to activate the training.
Programming 1: https://support.sas.com/edu/schedules.html?id=2588&ctry=US
Statistics 1: https://support.sas.com/edu/schedules.html?id=2816&ctry=US

cynthia
Ask a Question
Discussion stats
  • 19 replies
  • 3018 views
  • 6 likes
  • 7 in conversation